1 Reply Latest reply: May 5, 2013 7:52 AM by Niel
Marnie73 Level 1 (0 points)

Hi, I have the Mac OS X 10.5.8 version on my MacAir. I have a new Iphone 5 and It seems I need Itunes 10.7, but It doesn't work with my version... If I choose the software update there's not one available...



MacBook Air (Late 2008), iOS 5